require( "scripts/style" );

ERRORMESSAGE = "#error";

MakeDialog
{
	Bitmap
	{
		name = "dialogshadow",
		image = "backgrounds/dialogs/backgroundalpha",
	},

    Bitmap
    {
		name = "popuperror",
		x = kCenter,
		y = kCenter,
		image = "backgrounds/popups/popupdefault",

       Button
		{
			name = "ok",
			x = kCenter,
			y = kCenter + 90,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			close = true,
			cancel = true,
			flags = 5,
			DefaultButtonLabel("ok"),
			command=
				function()
					doTransition("goMetaMap");
					PauseAnimations(false)
				end
        },

       Text
		{
			name = "oktitle",
			x = 12, 
			y = 8,
			w = kMax,
			h = 40,
			font = ErrorTitleFont,
			flags = kVAlignCenter + kHAlignLeft,
			label = gDialogTable.title,
		};

		Text
		{
			name = "okbody",
			x = 12,
			y = 46,
			w = kMax - 12,
			h = kMax - 70,
			font = DialogBodyFont,
			flags = kVAlignCenter + kHAlignCenter,
			label =  gDialogTable.body,
		};
    },
} 